> For the complete documentation index, see [llms.txt](https://docs.fulfillmenttools.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fulfillmenttools.com/documentation/apis/api-reference/returns-configuration-operations.md).

# Returns Configuration (Operations)

Endpoints to create, update, and read returns configuration.

## Get returns config

> Returns the current return configuration for the tenant.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read returns configuration.","name":"Returns Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"LocalizedReturnConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"active":{"default":true,"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Enable or disable legacy returns. Use returnTypeConfiguration instead","type":"boolean"},"allowTriggerRefund":{"default":false,"description":"If true, a refund can be triggered. If false, the endpoints to trigger a refund are disabled.","type":"boolean"},"availableDecisionReasons":{"items":{"$ref":"#/components/schemas/LocalizedAvailableDecisionReason"},"type":"array"},"availableItemConditions":{"items":{"$ref":"#/components/schemas/LocalizedAvailableItemCondition"},"type":"array"},"availableReturnReasons":{"items":{"$ref":"#/components/schemas/LocalizedAvailableReturnReason"},"type":"array"},"returnTypeConfiguration":{"$ref":"#/components/schemas/ReturnTypeConfiguration"}},"required":["active"],"type":"object","title":"LocalizedReturnConfiguration","description":"LocalizedReturnConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"LocalizedAvailableDecisionReason":{"additionalProperties":false,"properties":{"reasonLocalized":{"$ref":"#/components/schemas/LocaleString"},"context":{"description":"Context in which this reason is available","items":{"$ref":"#/components/schemas/DecisionReasonContext"},"maxItems":10,"minItems":1,"type":"array"},"reason":{"description":"Translated value from  reasonLocalized","type":"string"}},"required":["reasonLocalized","reason"],"type":"object","title":"LocalizedAvailableDecisionReason","description":"LocalizedAvailableDecisionReason"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"DecisionReasonContext":{"additionalProperties":false,"properties":{"type":{"$ref":"#/components/schemas/DecisionReasonContextTypes"},"values":{"items":{"$ref":"#/components/schemas/DecisionReasonContextValues"},"maxItems":10,"minItems":1,"type":"array"}},"type":"object","title":"DecisionReasonContext","description":"DecisionReasonContext"},"DecisionReasonContextTypes":{"enum":["ITEM_RETURN_LINE_ITEM_STATUS"],"type":"string","title":"DecisionReasonContextTypes","description":"DecisionReasonContextTypes"},"DecisionReasonContextValues":{"enum":["ACCEPTED","REJECTED","WAITING_FOR_INPUT"],"type":"string","title":"DecisionReasonContextValues","description":"DecisionReasonContextValues"},"LocalizedAvailableItemCondition":{"additionalProperties":false,"properties":{"conditionLocalized":{"$ref":"#/components/schemas/LocaleString"},"condition":{"description":"translated conditionsLocalized","type":"string"}},"required":["conditionLocalized","condition"],"title":"LocalizedAvailableItemCondition","description":"LocalizedAvailableItemCondition"},"LocalizedAvailableReturnReason":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/AvailableReturnReason"}],"properties":{"identifier":{"description":"Small identifier to be displayed and printed. Allowed values are 1-99 and A-Z. Needs to be unique respecting all other reasons. If not set, an ascending will be chosen automatically","type":"string"},"reason":{"description":"translated reasonLocalized","type":"string"}},"required":["reasonLocalized","reason","identifier"],"title":"LocalizedAvailableReturnReason","description":"LocalizedAvailableReturnReason"},"AvailableReturnReason":{"additionalProperties":false,"properties":{"reasonLocalized":{"$ref":"#/components/schemas/LocaleString","description":"Will be translated into 'reason' when requested"},"identifier":{"description":"Small identifier to be displayed and printed. Allowed values are 1-99 and A-Z. Needs to be unique respecting all other reasons. If not set, an ascending will be chosen automatically","type":"string"}},"required":["reasonLocalized"],"title":"AvailableReturnReason","description":"AvailableReturnReason"},"ReturnTypeConfiguration":{"properties":{"type":{"$ref":"#/components/schemas/ReturnConfigurationType"}},"required":["type"],"title":"ReturnTypeConfiguration","description":"ReturnTypeConfiguration"},"ReturnConfigurationType":{"description":"ReturnConfigurationType RETURN is deprecated.","enum":["RETURN","ITEM_RETURN"],"type":"string","title":"ReturnConfigurationType"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/return":{"get":{"description":"Returns the current return configuration for the tenant.","operationId":"getReturnConfiguration","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LocalizedReturnConfiguration"}}},"description":"Return config found."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Get returns config","tags":["Returns Configuration (Operations)"]}}}}
```

## Update returns config

> Updates the return configuration for the tenant. If no configuration exists, it will be created.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read returns configuration.","name":"Returns Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ReturnConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"active":{"default":true,"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Enable or disable legacy returns. Use returnTypeConfiguration instead","type":"boolean"},"allowTriggerRefund":{"default":false,"description":"If true, a refund can be triggered. If false, the endpoints to trigger a refund are disabled.","type":"boolean"},"availableDecisionReasons":{"items":{"$ref":"#/components/schemas/AvailableDecisionReasons"},"maxItems":100,"type":"array"},"availableItemConditions":{"items":{"$ref":"#/components/schemas/AvailableItemCondition"},"type":"array"},"availableReturnReasons":{"items":{"$ref":"#/components/schemas/AvailableReturnReason"},"type":"array"},"returnTypeConfiguration":{"$ref":"#/components/schemas/ReturnTypeConfiguration"}},"required":["active"],"type":"object","title":"ReturnConfiguration","description":"ReturnConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"AvailableDecisionReasons":{"additionalProperties":false,"properties":{"reasonLocalized":{"$ref":"#/components/schemas/LocaleString"},"context":{"description":"Context in which this reason is available","items":{"$ref":"#/components/schemas/DecisionReasonContext"},"maxItems":10,"minItems":1,"type":"array"},"reason":{"description":"Translated value from  reasonLocalized","type":"string"}},"required":["reasonLocalized"],"type":"object","title":"AvailableDecisionReasons","description":"AvailableDecisionReasons"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"DecisionReasonContext":{"additionalProperties":false,"properties":{"type":{"$ref":"#/components/schemas/DecisionReasonContextTypes"},"values":{"items":{"$ref":"#/components/schemas/DecisionReasonContextValues"},"maxItems":10,"minItems":1,"type":"array"}},"type":"object","title":"DecisionReasonContext","description":"DecisionReasonContext"},"DecisionReasonContextTypes":{"enum":["ITEM_RETURN_LINE_ITEM_STATUS"],"type":"string","title":"DecisionReasonContextTypes","description":"DecisionReasonContextTypes"},"DecisionReasonContextValues":{"enum":["ACCEPTED","REJECTED","WAITING_FOR_INPUT"],"type":"string","title":"DecisionReasonContextValues","description":"DecisionReasonContextValues"},"AvailableItemCondition":{"additionalProperties":false,"properties":{"conditionLocalized":{"$ref":"#/components/schemas/LocaleString","description":"Will be translated into 'condition' when requested"}},"title":"AvailableItemCondition","description":"AvailableItemCondition"},"AvailableReturnReason":{"additionalProperties":false,"properties":{"reasonLocalized":{"$ref":"#/components/schemas/LocaleString","description":"Will be translated into 'reason' when requested"},"identifier":{"description":"Small identifier to be displayed and printed. Allowed values are 1-99 and A-Z. Needs to be unique respecting all other reasons. If not set, an ascending will be chosen automatically","type":"string"}},"required":["reasonLocalized"],"title":"AvailableReturnReason","description":"AvailableReturnReason"},"ReturnTypeConfiguration":{"properties":{"type":{"$ref":"#/components/schemas/ReturnConfigurationType"}},"required":["type"],"title":"ReturnTypeConfiguration","description":"ReturnTypeConfiguration"},"ReturnConfigurationType":{"description":"ReturnConfigurationType RETURN is deprecated.","enum":["RETURN","ITEM_RETURN"],"type":"string","title":"ReturnConfigurationType"},"LocalizedReturnConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"active":{"default":true,"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Enable or disable legacy returns. Use returnTypeConfiguration instead","type":"boolean"},"allowTriggerRefund":{"default":false,"description":"If true, a refund can be triggered. If false, the endpoints to trigger a refund are disabled.","type":"boolean"},"availableDecisionReasons":{"items":{"$ref":"#/components/schemas/LocalizedAvailableDecisionReason"},"type":"array"},"availableItemConditions":{"items":{"$ref":"#/components/schemas/LocalizedAvailableItemCondition"},"type":"array"},"availableReturnReasons":{"items":{"$ref":"#/components/schemas/LocalizedAvailableReturnReason"},"type":"array"},"returnTypeConfiguration":{"$ref":"#/components/schemas/ReturnTypeConfiguration"}},"required":["active"],"type":"object","title":"LocalizedReturnConfiguration","description":"LocalizedReturnConfiguration"},"LocalizedAvailableDecisionReason":{"additionalProperties":false,"properties":{"reasonLocalized":{"$ref":"#/components/schemas/LocaleString"},"context":{"description":"Context in which this reason is available","items":{"$ref":"#/components/schemas/DecisionReasonContext"},"maxItems":10,"minItems":1,"type":"array"},"reason":{"description":"Translated value from  reasonLocalized","type":"string"}},"required":["reasonLocalized","reason"],"type":"object","title":"LocalizedAvailableDecisionReason","description":"LocalizedAvailableDecisionReason"},"LocalizedAvailableItemCondition":{"additionalProperties":false,"properties":{"conditionLocalized":{"$ref":"#/components/schemas/LocaleString"},"condition":{"description":"translated conditionsLocalized","type":"string"}},"required":["conditionLocalized","condition"],"title":"LocalizedAvailableItemCondition","description":"LocalizedAvailableItemCondition"},"LocalizedAvailableReturnReason":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/AvailableReturnReason"}],"properties":{"identifier":{"description":"Small identifier to be displayed and printed. Allowed values are 1-99 and A-Z. Needs to be unique respecting all other reasons. If not set, an ascending will be chosen automatically","type":"string"},"reason":{"description":"translated reasonLocalized","type":"string"}},"required":["reasonLocalized","reason","identifier"],"title":"LocalizedAvailableReturnReason","description":"LocalizedAvailableReturnReason"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/return":{"put":{"description":"Updates the return configuration for the tenant. If no configuration exists, it will be created.","operationId":"upsertReturnConfiguration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReturnConfiguration"}}},"description":"Desired return configuration to create/update","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LocalizedReturnConfiguration"}}},"description":"The return configuration was successfully updated."},"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LocalizedReturnConfiguration"}}},"description":"The return configuration was successfully created."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"409":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity version conflict"}},"summary":"Update returns config","tags":["Returns Configuration (Operations)"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/returns-configuration-operations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
